%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define	snap 6508

Summary:	Open source deep packet inspection
Name:		ndpi
Version:	1.4.0
Release:	%mkrel 0.1.svn%{snap}.2
License:	LGPLv3
Group:		System/Libraries
URL:		http://www.ntop.org/products/ndpi/
# svn co https://svn.ntop.org/svn/ntop/trunk/nDPI ndpi-1.4.0
Source0:	%{name}-%{version}-r%{snap}.tar.gz
Patch0:		ndpi-1.4.0-more_headers.diff
BuildRequires:	autoconf automake libtool

%description
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

%package -n	%{libname}
Summary:	Open source deep packet inspection library
Group:          System/Libraries

%description -n	%{libname}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Header files and libraries for developing applications for nDPI
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.


These are the header files and libraries for developing applications for %{name}.

%prep

%setup -q
%patch0 -p1

%build
export LIBS="-lpthread"
autoreconf -fi
%configure2_5x \
    --disable-static

%make

%install

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc README COPYING NEWS README.ntop
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc ChangeLog example
%dir %{_includedir}/libndpi
%{_includedir}/libndpi/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-0.1.svn6508.2.mga4
+ Revision: 528597
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 oden <oden> 1.4.0-0.1.svn6508.1.mga4
+ Revision: 446468
- fix linkage
- new snap (r6508)
- more headers

* Tue May 28 2013 oden <oden> 1.4.0-0.1.svn6305.1.mga4
+ Revision: 429266
- new svn snap (r6305)

* Mon Jan 28 2013 oden <oden> 1.4.0-0.1.svn5923.1.mga3
+ Revision: 392851
- imported package ndpi


* Mon Jan 28 2013 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1.mga2
- initial Mageia package
